jQuery(document).ready(function(){
	
	
	
	
	
	$("#contact_feedback").rup_feedback({
		gotoTop : false,
		block : false,
		closeLink : true
	});
	
	var contactoLocalizacionNacional = $("#contactoLocalizacionNacional").val();
	//alert("contactoLocalizacionNacional"+contactoLocalizacionNacional);


	if ("S"==contactoLocalizacionNacional){		
		var detalleContProvincia = $("#detalleContProvincia").val();
		var detalleContMunicipio = $("#detalleContMunicipio").val();
		var detalleContLocalidad = $("#detalleContLocalidad").val();
		var detalleContCodPostal = $("#detalleContCodPostal").val();
		var detalleContCalle = $("#detalleContCalle").val();
		var detalleContPortal = $("#detalleContPortal").val();
		
		//alert("detalleContProvincia"+detalleContProvincia);
		//alert("detalleContMunicipio"+detalleContMunicipio);
		//alert("detalleContLocalidad"+detalleContLocalidad);
		//alert("detalleContCodPostal"+detalleContCodPostal);
		//alert("detalleContCalle"+detalleContCalle);
		//alert("detalleContPortal"+detalleContPortal);

		if ((null==detalleContProvincia || ""==detalleContProvincia)
			&& (null==detalleContMunicipio || ""==detalleContMunicipio)
			&& (null==detalleContLocalidad || ""==detalleContLocalidad)
			&& (null==detalleContCodPostal || ""==detalleContCodPostal)
			&& (null==detalleContCalle || ""==detalleContCalle)
			&& (null==detalleContPortal || ""==detalleContPortal)){
			
			$.rup_messages("msgOK",{
				   title:$.rup.i18n.app.msg.confirmacion,
				   message: $.rup.i18n.app.msg.confiramacioDetCont
			   });
		}
	}else if ("N"==contactoLocalizacionNacional){	
		var detalleContPais = $("#detalleContPais").val();
		var detalleContDireccion = $("#detalleContDireccion").val();
		//alert("detalleContPais"+detalleContPais);
		//alert("detalleContDireccion"+detalleContDireccion);
		
		if ((null==detalleContPais || ""==detalleContPais)
			&& (null==detalleContDireccion || ""==detalleContDireccion)){
				
				$.rup_messages("msgOK",{
					   title:$.rup.i18n.app.msg.confirmacion,
					   message: $.rup.i18n.app.msg.confiramacioDetCont
				   });
			}
	}

	
	
	$("#entity_tree").dynatree({
		initAjax: {
			url: "../contactos/entityTree/" + $("#contacto_contactoId").val(),
			data: { mode: "funnyMode" }
		},
		activeVisible: true, // Make sure, active nodes are visible (expanded).
		checkbox: true, // Show checkboxes.
		selectMode: 2, // 1:single, 2:multi, 3:multi-hier
		onClick: function(node, event) {
			// We should not toggle, if target was "checkbox", because this
			// would result in double-toggle (i.e. no toggle)
			if( node.getEventTargetType(event) == "title" ) {
				node.toggleSelect();
			}
		},
		onSelect: function(select, node) {
			// Display list of selected nodes
			var selNodes = node.tree.getSelectedNodes();
			// convert to key array
			var keyList = $.map(selNodes, function(node){
				return node.data.key;
			});
			$("#entidadIdList").val(keyList);
		},
		// The following options are only required, if we have more than one tree on one page:
		cookieId: "entity_list_dynatree",
		idPrefix: "entity_list_dynatree"
	});
	
//	$("#loc_nacional").click(function(){
//		$("#localizacion_internacional").hide();
//		$("#localicacion_nacional").show();
//	});
//	
//	$("#loc_extranjera").click(function(){
//		$("#localicacion_nacional").hide();
//		$("#localizacion_internacional").show();
//	});
});

function y42bFunContactPincharEmail(){ 
	 var email = $("#contact_email").val();
	 email = email.toLowerCase();
	 if (email ==""){
		 	$("#contact_feedback").rup_feedback("option", "delay",null);
			$("#contact_feedback").rup_feedback("set",$.rup.i18n.app.msg.emailVacio, "warning");
	 }else{
		 var emailCorrecto = y42bValidarEmail(email); 
		 if (emailCorrecto){
			 var mailto_link = "mailto:"+ email;
			 window.location.href = mailto_link;
		 }else{
			 	$("#contact_feedback").rup_feedback("option", "delay",null);
				$("#contact_feedback").rup_feedback("set",$.rup.i18n.app.msg.emailInvalido, "warning");
		 }
	 }
}

function y42bFunContactPincharUrl(){
	 var url = $("#contact_url").val();
	 
	 if (url ==""){
		 	$("#contact_feedback").rup_feedback("option", "delay",null);
			$("#contact_feedback").rup_feedback("set",$.rup.i18n.app.msg.urlVacia, "warning");
	 }else{
		 var urlCorrecta = y42bValidarURL(url); 
		 if (urlCorrecta){
			 y42bAbrirVentana(url);
		 }else{
			 	$("#contact_feedback").rup_feedback("option", "delay",null);
				$("#contact_feedback").rup_feedback("set",$.rup.i18n.app.msg.urlInvalida, "warning");
		 }
	 }
}

